Package org.drinkless.tdlib

# Class TdApi.ChatTypeSupergroup

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatType
org.drinkless.tdlib.TdApi.ChatTypeSupergroup

Enclosing class:
  `TdApi`

public static class TdApi.ChatTypeSupergroup extends TdApi.ChatType
A supergroup or channel (with unlimited members).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatType

  `TdApi.ChatType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isChannel`
  True, if the supergroup is a channel.
  `long`
  `supergroupId`
  Supergroup or channel identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatTypeSupergroup()`
  A supergroup or channel (with unlimited members).
  `ChatTypeSupergroup(long supergroupId, boolean isChannel)`
  A supergroup or channel (with unlimited members).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### supergroupId

    public long supergroupId
    Supergroup or channel identifier.

  - ### isChannel

    public boolean isChannel
    True, if the supergroup is a channel.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatTypeSupergroup

    public ChatTypeSupergroup()
    A supergroup or channel (with unlimited members).

  - ### ChatTypeSupergroup

    public ChatTypeSupergroup(long supergroupId, boolean isChannel)
    A supergroup or channel (with unlimited members).
    Parameters:
      `supergroupId` - Supergroup or channel identifier.
      `isChannel` - True, if the supergroup is a channel.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatType`
    Returns:
      this.CONSTRUCTOR